
QGIS Application - Bug report #3686

infinite loop

2011-03-29 05:36 AM - Sandro Santilli

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13745

Description

I got qgis 1.7.0 enter an infinite loop in main gui.

Attached gdb and saw it being in pal::LabelPosition::getCost(), pretty much every time I did break it.

I know, this bug report sucks... sorry about that.

Next time I'll try to debug more.

History

#1 - 2011-03-29 05:37 AM - Sandro Santilli

Oh, here's some more, in the screen buffer:

(gdb) bt

#0  0x00007fc75e9ee107 in pal::LabelPosition::getCost() const ()

   from /usr/local/lib/libqgis_core.so.1.7.0

#3905  0x00007fc75e9e37aa in pal::CostCalculator::finalizeCandidatesCosts(pal::Feats*, int, pal::RTree<pal::PointSet*, double, 2, double, 8, 4>*,

double*, double*) () from /usr/local/lib/libqgis_core.so.1.7.0

#3906  0x00007fc75e9f7fe4 in pal::Pal::extract(int, char**, double*, double, double, double, double, double, std::basic_ofstream<char,

std::char_traits<char> >*)

    () from /usr/local/lib/libqgis_core.so.1.7.0

#3907  0x00007fc75e9f8982 in pal::Pal::extractProblem(double, double*) ()

   from /usr/local/lib/libqgis_core.so.1.7.0

#3908  0x00007fc75e91dc11 in [[QgsPalLabeling]]::drawLabeling(QgsRenderContext&) ()

   from /usr/local/lib/libqgis_core.so.1.7.0

#3909  0x00007fc75e90fdf7 in [[QgsMapRenderer]]::render(QPainter*) ()

   from /usr/local/lib/libqgis_core.so.1.7.0

#2 - 2011-03-29 07:17 AM - Martin Dobias

Could you please post a sample shapefile that exhibits this behavior?

Isn't that a polygon layer with very complex shapes? (that might take a long time, but not infinite).

Martin

#3 - 2011-03-29 07:32 AM - Sandro Santilli

2024-04-25 1/2



Eh, not easy to reproduce. I was checking postgis tables, very simple shapes from example topologies. It could be the data disappeared during the run ...

Doesn't seem to depend on dataset as on second run it worked fine.

#4 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:27 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-12-14 09:06 AM - Sandro Santilli

- Resolution set to worksforme

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

This bug seems to old to be useful. Closing (as the original reporter).
